### Method

# St IconTheme choose_icon

#### Declaration [src]

    StIconInfo*
    st_icon_theme_choose_icon (
      StIconTheme* icon_theme,
      const char** icon_names,
      int size,
      StIconLookupFlags flags
    )

#### Description [src]

Looks up a named icon and returns a `StIconInfo` containing information such as the filename of the icon. The icon can then be rendered into a pixbuf using st_icon_info_load_icon(). (st_icon_theme_load_icon() combines these two steps if all you need is the pixbuf.)

If `icon_names` contains more than one name, this function tries them all in the given order before falling back to inherited icon themes.

#### Parameters

`icon_names`

  Type: An array of `char*`

  `NULL`-terminated array of icon names to lookup.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`size`

  Type: `int`

  Desired icon size.

`flags`

  Type: `StIconLookupFlags`

  Flags modifying the behavior of the icon lookup.

#### Return value

Type: `StIconInfo`

A `StIconInfo` object containing information about the icon, or `NULL` if the icon wasn’t found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.